> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Introspect

> Read account information associated with an `access_token`



## OpenAPI

````yaml get /introspect
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /introspect:
    get:
      tags:
        - Management
      summary: Introspect
      description: Read account information associated with an `access_token`
      operationId: get-introspect
      parameters:
        - $ref: '#/components/parameters/API-Version'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetIntrospectResponse'
              examples:
                Success:
                  value:
                    id: b0202497-f8f2-4bb7-adfc-18c4a0c07916
                    connection_id: 8289c95e-9162-4221-a850-b8ee135d3d20
                    connection_status:
                      status: connected
                      message: This employer is working as expected
                      last_successful_sync: '2025-03-28T12:00:00.000Z'
                    client_id: 25ea8bd8-f76b-41f9-96e3-1e6162021c50
                    client_type: production
                    customer_id: '123456789'
                    customer_name: Acme Inc
                    customer_email: example@acme.com
                    connection_type: provider
                    company_id: 87eb4bc3-f76b-35e7-78d2-8f7822021d73
                    account_id: ca23fd65-5a0c-4f8b-a0fa-7853fd6f5768
                    products:
                      - company
                      - directory
                      - individual
                      - benefits
                    username: johndoe@tryfinch.com
                    provider_id: gusto
                    manual: false
                    authentication_methods:
                      - type: assisted
                        connection_status:
                          status: pending
                          message: >-
                            This employer has created a token, and we are
                            waiting for access to its provider
                        products:
                          - benefits
                      - type: credential
                        connection_status:
                          status: connected
                          message: This employer is working as expected
                        products:
                          - company
                          - directory
                          - individual
                    entities:
                      - id: 550e8400-e29b-41d4-a716-446655440000
                        name: Acme Corp
                        source_id: acme-corp-123
                        status: connected
                      - id: 6ba7b810-9dad-11d1-80b4-00c04fd430c8
                        name: Acme Subsidiary LLC
                        source_id: acme-subsidiary-456
                        status: connected
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Finch from '@tryfinch/finch-api';

            const client = new Finch({
              accessToken: 'My Access Token',
            });

            const introspection = await client.account.introspect();

            console.log(introspection.id);
        - lang: Python
          source: |-
            from finch import Finch

            client = Finch(
                access_token="My Access Token",
            )
            introspection = client.account.introspect()
            print(introspection.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go\"\n\t\"github.com/Finch-API/finch-api-go/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tintrospection, err := client.Account.Introspect(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", introspection.ID)\n}\n"
        - lang: Java
          source: |-
            package com.tryfinch.api.example;

            import com.tryfinch.api.client.FinchClient;
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
            import com.tryfinch.api.models.AccountIntrospectParams;
            import com.tryfinch.api.models.Introspection;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    FinchClient client = FinchOkHttpClient.builder()
                        .fromEnv()
                        .accessToken("My Access Token")
                        .build();

                    Introspection introspection = client.account().introspect();
                }
            }
        - lang: Kotlin
          source: |-
            package com.tryfinch.api.example

            import com.tryfinch.api.client.FinchClient
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient
            import com.tryfinch.api.models.AccountIntrospectParams
            import com.tryfinch.api.models.Introspection

            fun main() {
                val client: FinchClient = FinchOkHttpClient.builder()
                    .fromEnv()
                    .accessToken("My Access Token")
                    .build()

                val introspection: Introspection = client.account().introspect()
            }
        - lang: Ruby
          source: |-
            require "finch_api"

            finch = FinchAPI::Client.new(access_token: "My Access Token")

            introspection = finch.account.introspect

            puts(introspection)
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
  schemas:
    GetIntrospectResponse:
      type: object
      properties:
        id:
          type: string
          description: The Finch UUID of the token being introspected
        connection_id:
          type: string
          description: The Finch UUID of the connection associated with the `access_token`
        connection_status:
          $ref: '#/components/schemas/ConnectionStatusDetail'
        client_id:
          type: string
          description: The client ID of the application associated with the `access_token`
        client_type:
          $ref: '#/components/schemas/ClientType'
        connection_type:
          $ref: '#/components/schemas/ConnectionType'
        company_id:
          type: string
          description: >-
            [DEPRECATED] Use `connection_id` to associate tokens with a Finch
            connection instead of this company ID
          deprecated: true
        account_id:
          type: string
          description: >-
            [DEPRECATED] Use `connection_id` to associate tokens with a Finch
            connection instead of this account ID
          deprecated: true
        customer_id:
          type: string
          nullable: true
          description: >-
            The ID of your customer you provided to Finch when a connect session
            was created for this connection
        customer_name:
          type: string
          nullable: true
          description: >-
            The name of your customer you provided to Finch when a connect
            session was created for this connection
        customer_email:
          type: string
          nullable: true
          description: >-
            The email of your customer you provided to Finch when a connect
            session was created for this connection
        authentication_methods:
          type: array
          items:
            $ref: '#/components/schemas/AuthenticationMethodDetail'
        products:
          type: array
          items:
            type: string
          description: >-
            An array of the authorized products associated with the
            `access_token`.
        username:
          type: string
          nullable: true
          description: >-
            The account username used for login associated with the
            `access_token`.
        provider_id:
          type: string
          description: The ID of the provider associated with the `access_token`.
        payroll_provider_id:
          type: string
          description: >-
            [DEPRECATED] Use `provider_id` to identify the provider instead of
            this payroll provider ID.
          deprecated: true
        manual:
          type: boolean
          description: >-
            Whether the connection associated with the `access_token` uses the
            Assisted Connect Flow. (`true` if using Assisted Connect, `false` if
            connection is automated)
        entities:
          type: array
          items:
            $ref: '#/components/schemas/MultiAccountEntity'
          description: >-
            Array of detailed entity information for each connected account in
            multi-account mode
      required:
        - id
        - connection_id
        - connection_status
        - client_id
        - client_type
        - connection_type
        - products
        - provider_id
    ConnectionStatusDetail:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ConnectionStatus'
        message:
          type: string
        last_successful_sync:
          anyOf:
            - type: string
              format: date-time
            - type: string
            - nullable: true
          description: The datetime when the connection was last successfully synced
      required:
        - status
    ClientType:
      type: string
      enum:
        - development
        - production
        - sandbox
      description: The type of application associated with a token.
      title: ClientType
    ConnectionType:
      type: string
      enum:
        - finch
        - provider
      description: |-
        The type of the connection associated with the token.
        - `provider` - connection to an external provider
        - `finch` - finch-generated data.
      title: ConnectionType
    AuthenticationMethodDetail:
      type: object
      properties:
        type:
          type: string
          enum:
            - assisted
            - credential
            - api_token
            - api_credential
            - oauth
          description: The type of authentication method
        connection_status:
          $ref: '#/components/schemas/ConnectionStatusDetail'
        products:
          type: array
          items:
            type: string
          description: >-
            An array of the authorized products associated with the
            `access_token`
      required:
        - type
    MultiAccountEntity:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The connection account ID for this entity
        name:
          type: string
          nullable: true
          description: The name of the entity (payroll provider company name)
        source_id:
          type: string
          nullable: true
          description: The source ID of the entity
        status:
          $ref: '#/components/schemas/EntityConnectionStatus'
      required:
        - id
        - name
        - source_id
        - status
    ConnectionStatus:
      type: string
      enum:
        - pending
        - processing
        - connected
        - error_no_account_setup
        - error_permissions
        - reauth
    EntityConnectionStatus:
      type: string
      enum:
        - pending
        - processing
        - connected
        - error_no_account_setup
        - error_permissions
        - reauth
        - disconnected
      description: The status of the entity connection
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````